<?xml version="1.0"?>  
<configuration>  
    <system.webServer>
    <staticContent>
            <mimeMap fileExtension=".json" mimeType="application/json" />
     </staticContent>
    <rewrite>  
        <rules>  
            <rule name="React Routes" stopProcessing="true">  
                <match url=".*" />  
                <conditions logicalGrouping="MatchAll">  
                    <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />  
                    <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />  
                    <add input="{REQUEST_URI}" pattern="^/(api)" negate="true" />  
                </conditions>  
                <action type="Rewrite" url="/" />  
            </rule>  
        </rules>  
    </rewrite>  
    </system.webServer>  
</configuration>  